Categories:
  - Security
License: MIT
WebSite: https://flipperzero.one/
SourceCode: https://github.com/flipperdevices/Flipper-Android-App
IssueTracker: https://github.com/flipperdevices/Flipper-Android-App/issues

AutoName: Flipper

RepoType: git
Repo: https://github.com/flipperdevices/Flipper-Android-App.git

Builds:
  - versionName: 1.3.0
    versionCode: 667
    commit: aa2aaadb2873e34e779d5b3839e4d5fba4188609
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.3.0
    versionCode: 671
    commit: 0bd6f813d9e0f8f0837764c32bb4f7553fd11b58
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.3.0
    versionCode: 677
    commit: 2cf82d3e3ae2f59d85f5aa6bace5ea546ba5814d
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.3.0
    versionCode: 679
    commit: d711375e3c79059f81badad4eb7ec8fc59d8c9fd
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.3.0
    versionCode: 681
    commit: 2e9f15cc1281c7365d913342766abdd0b45cbd68
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.3.0
    versionCode: 689
    commit: 7503d96d6c107ef0c54bcc7aee3e38b40f44b53c
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.3.0
    versionCode: 691
    commit: 2550391a266a7e57cab1be5e1505c8af3fcd7384
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.3.0
    versionCode: 695
    commit: c3d63cd34656b46fa6f7221d75a5a2eadad8136b
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.3.0
    versionCode: 713
    disable: https://github.com/flipperdevices/Flipper-Android-App/issues/476
    commit: 9cb156e34a9a2d007c101636b521c16b324c0e49
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sed -i -e '/glitchless.ru/d' ../../{build-logic,.}/settings.gradle.kts
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.4.0
    versionCode: 724
    commit: 841aae5c17feb2aaba4fb8daea53fbf268368b0d
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sed -i -e '/glitchless.ru/d' ../../{build-logic,.}/settings.gradle.kts
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.4.0
    versionCode: 729
    commit: c00f0821b19a2e25764a4fcd977e2d15293a48dc
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sed -i -e '/glitchless.ru/d' ../../{build-logic,.}/settings.gradle.kts
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.4.0
    versionCode: 739
    commit: 3c86830e00b09bececfc88d355a87ba495dec6a0
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sed -i -e '/glitchless.ru/d' ../../{build-logic,.}/settings.gradle.kts
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.4.0
    versionCode: 747
    commit: 8088760a095aac3cfe86207a5886c9def8afda80
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sed -i -e '/glitchless.ru/d' ../../{build-logic,.}/settings.gradle.kts
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.5.0
    versionCode: 998
    commit: 9438ad1af3d5f537f07110e0e02ecd4e31bf4d31
    subdir: instances/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - printf "\nversion_code=$$VERCODE$$\nversion_name=$$VERSION$$" >> ../../gradle.properties
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - is_google_feature=false
      - is_sentry_publish=false
      - is_metric_enabled=false

  - versionName: 1.5.1
    versionCode: 1012
    commit: b1b486f9e0f3fb97181f5b499aefdb6a48bbc930
    subdir: instances/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - printf "\nversion_code=$$VERCODE$$\nversion_name=$$VERSION$$" >> ../../gradle.properties
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - is_google_feature=false
      - is_sentry_publish=false
      - is_metric_enabled=false

  - versionName: 1.6.0
    versionCode: 1086
    commit: ed8c361b11eb365151989a8e859d2d76866f10d3
    subdir: instances/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - printf "\nversion_code=$$VERCODE$$\nversion_name=$$VERSION$$" >> ../../gradle.properties
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - is_google_feature=false
      - is_sentry_publish=false
      - is_metric_enabled=false

AutoUpdateMode: Version
UpdateCheckMode: Tags (\d+\.){3}\d+-release
UpdateCheckData: '|[\d.]+\.(\d+)-release||([\d.]+)\.\d+-release'
CurrentVersion: 1.6.0
CurrentVersionCode: 1086
